## orthanc-mysql 2.0

=== MySQL/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(OrthancMySQL)

set(ORTHANC_PLUGIN_VERSION "2.0")

if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
  set(ORTHANC_FRAMEWORK_VERSION "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
else()
  set(ORTHANC_FRAMEWORK_VERSION "1.5.2")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
endif()

include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginParameters.cmake)

set(ENABLE_MYSQL_BACKEND ON)
  
include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginConfiguration.cmake)


if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
    ${ORTHANC_PLUGIN_VERSION} "MySQL storage area plugin" OrthancMySQLStorage.dll
    "MySQL as a database back-end to Orthanc (storage area)"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${AUTOGENERATED_DIR}/StorageVersion.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
    ${ORTHANC_PLUGIN_VERSION} "MySQL index plugin" OrthancMySQLIndex.dll
    "MySQL as a database back-end to Orthanc (index)"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${AUTOGENERATED_DIR}/IndexVersion.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  set(INDEX_RESOURCES ${AUTOGENERATED_DIR}/IndexVersion.rc)
  set(STORAGE_RESOURCES ${AUTOGENERATED_DIR}/StorageVersion.rc)
endif()


EmbedResources(
  MYSQL_PREPARE_INDEX          ${CMAKE_SOURCE_DIR}/Plugins/PrepareIndex.sql
  MYSQL_GET_LAST_CHANGE_INDEX  ${CMAKE_SOURCE_DIR}/Plugins/GetLastChangeIndex.sql
  MYSQL_CREATE_INSTANCE        ${CMAKE_SOURCE_DIR}/Plugins/CreateInstance.sql
  )

add_library(OrthancMySQLIndex SHARED
  ${INDEX_RESOURCES}
  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
  Plugins/IndexPlugin.cpp
  Plugins/MySQLIndex.cpp

  ${DATABASES_SOURCES}
  ${AUTOGENERATED_SOURCES}
  )

add_library(OrthancMySQLStorage SHARED
  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
  ${STORAGE_RESOURCES}
  Plugins/MySQLStorageArea.cpp
  Plugins/StoragePlugin.cpp

  ${DATABASES_SOURCES}
  ${AUTOGENERATED_SOURCES}
  )

message("Setting the version of the libraries to ${ORTHANC_PLUGIN_VERSION}")

add_definitions(
  -DORTHANC_PLUGIN_VERSION="${ORTHANC_PLUGIN_VERSION}"
  )

set_target_properties(OrthancMySQLStorage PROPERTIES 
  VERSION ${ORTHANC_PLUGIN_VERSION} 
  SOVERSION ${ORTHANC_PLUGIN_VERSION}
  COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=1
  )

set_target_properties(OrthancMySQLIndex PROPERTIES 
  VERSION ${ORTHANC_PLUGIN_VERSION} 
  SOVERSION ${ORTHANC_PLUGIN_VERSION}
  COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=1
  )

install(
  TARGETS OrthancMySQLIndex OrthancMySQLStorage
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )


add_executable(UnitTests
  Plugins/MySQLIndex.cpp
  Plugins/MySQLStorageArea.cpp
  UnitTests/UnitTestsMain.cpp
  
  ${DATABASES_SOURCES}
  ${GOOGLE_TEST_SOURCES}
  ${AUTOGENERATED_SOURCES}
  )

target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})
set_target_properties(UnitTests PROPERTIES
  COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=0
  )

=== debian/changelog ===
orthanc-mysql (2.0-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
  * Dropped changes, fixed in Debian:
    - switch back with the orthanc framework provided by Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jul 2020 14:48:54 +0200

orthanc-mysql (2.0-3) unstable; urgency=medium

  * Updated Orthanc framework to 1.7.0. Closes: #962252

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jun 2020 10:33:02 +0200

orthanc-mysql (2.0-2ubuntu3) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 21 Feb 2020 13:55:23 -0300

orthanc-mysql (2.0-2) unstable; urgency=medium

  * Removed $(DEB_VERSION) from SOVERSION. Closes: #920662

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 11:55:02 +0100

orthanc-mysql (2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 24 Jan 2019 09:24:09 +0100

orthanc-mysql (1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 13 Nov 2018 15:23:11 +0100

orthanc-mysql (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #903973)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 18 Jul 2018 08:36:11 +0200

=== debian/control ===
Source: orthanc-mysql
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-all-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libssl-dev,
               orthanc-dev,
               default-libmysqlclient-dev,
               unzip,
               uuid-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
Homepage: https://www.orthanc-server.com/static.php?page=mysql

Package: orthanc-mysql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 0.9.5)
Suggests: default-mysql-server
Description: Plugins to use MySQL or MariaDB as a database back-end to Orthanc
 Orthanc MySQL is a set of two plugins to Orthanc, a lightweight,
 RESTful Vendor Neutral Archive for medical imaging. These plugins
 override the default SQLite engine of Orthanc with a MySQL or
 MariaDB back-end. They bring scalability to Orthanc, making it
 enterprise-ready.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable

export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
export TARGET_INDEX := libOrthancMySQLIndex.so
export TARGET_STORAGE := libOrthancMySQLStorage.so

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Disable assert() checking from upstream project, for best performance
# https://lists.debian.org/debian-med/2018/04/msg00132.html
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
	-DORTHANC_FRAMEWORK_SOURCE=path \
	-DORTHANC_FRAMEWORK_ROOT=`pwd`/debian/orthanc-framework/Orthanc-1.7.0 \
	-DDEB_VERSION=$(DEB_VERSION) \
	-DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=MySQL -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_install:
	dh_install Build/${TARGET_INDEX}.${UPSTREAM_VERSION} usr/lib/orthanc
	dh_install Build/${TARGET_STORAGE}.${UPSTREAM_VERSION} usr/lib/orthanc

override_dh_link:
	dh_link usr/lib/orthanc/${TARGET_INDEX}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET_INDEX}
	dh_link usr/lib/orthanc/${TARGET_STORAGE}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET_STORAGE}

override_dh_installchangelogs:
	dh_installchangelogs -k MySQL/NEWS

## orthanc-mysql 3.0

=== MySQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,24 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancMySQL)
 
-set(ORTHANC_PLUGIN_VERSION "2.0")
+set(ORTHANC_PLUGIN_VERSION "3.0")
+
+set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
+set(ORTHANC_OPTIMAL_VERSION_MINOR    5)
+set(ORTHANC_OPTIMAL_VERSION_REVISION 4)
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.5.2")
+  set(ORTHANC_FRAMEWORK_VERSION "4a3ba4bf4ba7")  # This is Orthanc Framework pre-1.8.2 (includes a fix for OpenSSL on MSVC)
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginParameters.cmake)
 
 set(ENABLE_MYSQL_BACKEND ON)
+set(OPENSSL_STATIC_VERSION "1.1.1" CACHE STRING "Force the use of OpenSSL 1.1.1" FORCE)
   
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginConfiguration.cmake)
 
@@ -21,7 +26,7 @@
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_PLUGIN_VERSION} "MySQL storage area plugin" OrthancMySQLStorage.dll
     "MySQL as a database back-end to Orthanc (storage area)"
     ERROR_VARIABLE Failure
@@ -34,7 +39,7 @@
 
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_PLUGIN_VERSION} "MySQL index plugin" OrthancMySQLIndex.dll
     "MySQL as a database back-end to Orthanc (index)"
     ERROR_VARIABLE Failure
@@ -56,6 +61,12 @@
   MYSQL_CREATE_INSTANCE        ${CMAKE_SOURCE_DIR}/Plugins/CreateInstance.sql
   )
 
+add_custom_target(
+  AutogeneratedTarget
+  DEPENDS 
+  ${AUTOGENERATED_SOURCES}
+  )
+
 add_library(OrthancMySQLIndex SHARED
   ${INDEX_RESOURCES}
   ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
@@ -66,6 +77,8 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_dependencies(OrthancMySQLIndex AutogeneratedTarget)
+
 add_library(OrthancMySQLStorage SHARED
   ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
   ${STORAGE_RESOURCES}
@@ -75,6 +88,8 @@
   ${DATABASES_SOURCES}
   ${AUTOGENERATED_SOURCES}
   )
+
+add_dependencies(OrthancMySQLStorage AutogeneratedTarget)
 
 message("Setting the version of the libraries to ${ORTHANC_PLUGIN_VERSION}")
 
@@ -111,6 +126,8 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_dependencies(UnitTests AutogeneratedTarget)
+
 target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})
 set_target_properties(UnitTests PROPERTIES
   COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=0

=== debian/changelog ===
orthanc-mysql (3.0-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 17 Dec 2020 08:58:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,13 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
-               libboost-all-dev,
-               libcurl4-openssl-dev | libcurl4-dev,
                libgtest-dev,
-               libjsoncpp-dev,
+               liborthancframework-dev,
                libssl-dev,
                orthanc-dev,
                default-libmysqlclient-dev,
-               unzip,
-               uuid-dev
-Standards-Version: 4.5.0
+               unzip
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
 Homepage: https://www.orthanc-server.com/static.php?page=mysql

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
-	-DORTHANC_FRAMEWORK_SOURCE=path \
-	-DORTHANC_FRAMEWORK_ROOT=`pwd`/debian/orthanc-framework/Orthanc-1.7.0 \
+	-DORTHANC_FRAMEWORK_SOURCE=system \
 	-DDEB_VERSION=$(DEB_VERSION) \
 	-DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515

## orthanc-mysql 4.3

=== MySQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancMySQL)
 
-set(ORTHANC_PLUGIN_VERSION "3.0")
+set(ORTHANC_PLUGIN_VERSION "4.3")
 
 set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
-set(ORTHANC_OPTIMAL_VERSION_MINOR    5)
-set(ORTHANC_OPTIMAL_VERSION_REVISION 4)
+set(ORTHANC_OPTIMAL_VERSION_MINOR    9)
+set(ORTHANC_OPTIMAL_VERSION_REVISION 2)
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "4a3ba4bf4ba7")  # This is Orthanc Framework pre-1.8.2 (includes a fix for OpenSSL on MSVC)
+  set(ORTHANC_FRAMEWORK_VERSION "1.9.6")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -67,29 +67,33 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_library(FrameworkForPlugins STATIC
+  ${AUTOGENERATED_SOURCES}
+  ${DATABASES_SOURCES}
+  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
+  Plugins/MySQLIndex.cpp
+  Plugins/MySQLStorageArea.cpp
+  )
+
+set_target_properties(FrameworkForPlugins PROPERTIES
+  POSITION_INDEPENDENT_CODE ON
+  COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=1
+  )
+
 add_library(OrthancMySQLIndex SHARED
   ${INDEX_RESOURCES}
-  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
   Plugins/IndexPlugin.cpp
-  Plugins/MySQLIndex.cpp
-
-  ${DATABASES_SOURCES}
-  ${AUTOGENERATED_SOURCES}
   )
 
-add_dependencies(OrthancMySQLIndex AutogeneratedTarget)
-
 add_library(OrthancMySQLStorage SHARED
-  ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
   ${STORAGE_RESOURCES}
-  Plugins/MySQLStorageArea.cpp
   Plugins/StoragePlugin.cpp
-
-  ${DATABASES_SOURCES}
-  ${AUTOGENERATED_SOURCES}
   )
 
-add_dependencies(OrthancMySQLStorage AutogeneratedTarget)
+add_dependencies(FrameworkForPlugins AutogeneratedTarget)
+
+target_link_libraries(OrthancMySQLIndex FrameworkForPlugins)
+target_link_libraries(OrthancMySQLStorage FrameworkForPlugins)
 
 message("Setting the version of the libraries to ${ORTHANC_PLUGIN_VERSION}")

=== debian/changelog ===
orthanc-mysql (4.3-3) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 18:51:47 +0100

orthanc-mysql (4.3-2) unstable; urgency=medium

  * Upload to unstable after freeze

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 15:31:50 +0200

orthanc-mysql (4.3-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 22 Jul 2021 21:35:35 +0200

orthanc-mysql (4.2-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 20 Jul 2021 18:04:04 +0200

orthanc-mysql (4.1-1) experimental; urgency=medium

  * New upstream version
  * Added missing "Built-Using" attribute

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 15:03:43 +0200

orthanc-mysql (4.0-1) experimental; urgency=medium

  * New upstream version
  * Statically linking against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 26 Apr 2021 11:34:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
+               libcurl4-openssl-dev | libcurl4-dev,
                libgtest-dev,
                liborthancframework-dev,
                libssl-dev,
-               orthanc-dev,
+               orthanc-dev (>= 0.9.5),
                default-libmysqlclient-dev,
+               uuid-dev,
                unzip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
 Homepage: https://www.orthanc-server.com/static.php?page=mysql
@@ -20,7 +22,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 0.9.5)
+         orthanc (>= 1.9.7+dfsg-6)
+Built-Using: ${orthancframework:Built-Using}
 Suggests: default-mysql-server
 Description: Plugins to use MySQL or MariaDB as a database back-end to Orthanc
  Orthanc MySQL is a set of two plugins to Orthanc, a lightweight,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,16 @@
 	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DORTHANC_FRAMEWORK_SOURCE=system \
 	-DDEB_VERSION=$(DEB_VERSION) \
-	-DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
+        -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
+        "-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid curl dcmdata dcmjpls dcmjpeg dcmimage ofstd" \
+        -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
+
+# Automated generation of the "Built-Using" attribute in "d/control"
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989128
+# Adapted from:
+# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
 
 override_dh_auto_configure:
 	dh_auto_configure --sourcedirectory=MySQL -- $(CMAKE_EXTRA_FLAGS)

## orthanc-mysql 5.0%2Bdfsg

=== debian/changelog ===
orthanc-mysql (5.0+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake. Closes: #1113373

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 12:55:27 +0200

orthanc-mysql (5.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with boost 1.88. Closes: #1110761

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Aug 2025 14:27:49 +0200

orthanc-mysql (5.0+dfsg-1) unstable; urgency=medium

  * New upstream version. Closes: #1041082

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Aug 2023 16:47:07 +0200

## orthanc-mysql 5.0+dfsg

=== MySQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,44 @@
+# Orthanc - A Lightweight, RESTful DICOM Store
+# Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
+# Department, University Hospital of Liege, Belgium
+# Copyright (C) 2017-2023 Osimis S.A., Belgium
+# Copyright (C) 2021-2023 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU Affero General Public License
+# as published by the Free Software Foundation, either version 3 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Affero General Public License for more details.
+# 
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
 cmake_minimum_required(VERSION 2.8)
 project(OrthancMySQL)
 
-set(ORTHANC_PLUGIN_VERSION "4.3")
+set(ORTHANC_PLUGIN_VERSION "5.0")
 
 set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
-set(ORTHANC_OPTIMAL_VERSION_MINOR    9)
-set(ORTHANC_OPTIMAL_VERSION_REVISION 2)
+set(ORTHANC_OPTIMAL_VERSION_MINOR    12)
+set(ORTHANC_OPTIMAL_VERSION_REVISION 0)
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.9.6")
+  set(ORTHANC_FRAMEWORK_VERSION "1.12.0")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginParameters.cmake)
 
 set(ENABLE_MYSQL_BACKEND ON)
-set(OPENSSL_STATIC_VERSION "1.1.1" CACHE STRING "Force the use of OpenSSL 1.1.1" FORCE)
+set(OPENSSL_STATIC_VERSION "3.0" CACHE STRING "Force the use of OpenSSL 3.0.x" FORCE)
   
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginConfiguration.cmake)
 
@@ -60,6 +80,24 @@
   MYSQL_GET_LAST_CHANGE_INDEX  ${CMAKE_SOURCE_DIR}/Plugins/GetLastChangeIndex.sql
   MYSQL_CREATE_INSTANCE        ${CMAKE_SOURCE_DIR}/Plugins/CreateInstance.sql
   )
+
+if (EXISTS ${ORTHANC_SDK_ROOT}/orthanc/OrthancDatabasePlugin.proto)
+  add_custom_command(
+    COMMAND
+    ${PROTOC_EXECUTABLE} ${ORTHANC_SDK_ROOT}/orthanc/OrthancDatabasePlugin.proto --cpp_out=${AUTOGENERATED_DIR} -I${ORTHANC_SDK_ROOT}/orthanc/
+    DEPENDS
+    ProtobufCompiler
+    ${ORTHANC_SDK_ROOT}/orthanc/OrthancDatabasePlugin.proto
+    OUTPUT
+    ${AUTOGENERATED_DIR}/OrthancDatabasePlugin.pb.cc
+    ${AUTOGENERATED_DIR}/OrthancDatabasePlugin.pb.h
+    )
+
+  list(APPEND AUTOGENERATED_SOURCES
+    ${AUTOGENERATED_DIR}/OrthancDatabasePlugin.pb.cc
+    )
+endif()
+
 
 add_custom_target(
   AutogeneratedTarget

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,18 @@
                libcurl4-openssl-dev | libcurl4-dev,
                libgtest-dev,
                liborthancframework-dev,
+               libprotobuf-dev,
                libssl-dev,
                orthanc-dev (>= 0.9.5),
+               protobuf-compiler,
                default-libmysqlclient-dev,
                uuid-dev,
                unzip
-Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-mysql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-mysql.git
-Homepage: https://www.orthanc-server.com/static.php?page=mysql
+Homepage: https://orthanc.uclouvain.be/book/plugins/mysql.html
 
 Package: orthanc-mysql
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
 
-export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export TARGET_INDEX := libOrthancMySQLIndex.so
 export TARGET_STORAGE := libOrthancMySQLStorage.so
